%global pypi_name zstd
%global zstd_version 1.5.5

Summary:        Zstd Bindings for Python
Name:           python-%{pypi_name}
Version:        %{zstd_version}.1
Release:        4%{?dist}

License:        BSD
URL:            https://github.com/sergey-dryabzhinsky/python-zstd
Source0:        %{pypi_source}

BuildRequires:  gcc python3-devel python3dist(setuptools)
BuildRequires:  pkgconfig(libzstd) >= %{zstd_version}

%description
Simple Python bindings for the Zstd compression library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Requires:       libzstd >= %{zstd_version}

%description -n python3-%{pypi_name}
Simple Python bindings for the Zstd compression library.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build -- --legacy --external

%install
%py3_install

%check
%{__python3} setup.py test --external

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{pypi_name}*.so

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 1.5.5.1-1
- initial build
